Update-Problem under Windows

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Update-Problem under Windows

Uwe Seher
Hello group!

After my last Problem i try to update the postgis-installation from 0.9.1,
which comes with the Postgres-installer to the actual 1.0.1 version. So i
downloaded the win-installer. Now the problem:
The version-number from 'select postgis_full_version' remains at 0.9.1. So
what is to do to get it updated? I tried it with the installer, i searched
the files and did it by myself and i tried it from pgAdmin. At least i
uninstalled postgis and re-installed it. When it was uninstalled, the
functions didnt work, when i re-installed the 1.0.1, the versionnumber was
0.9.1.

my System:
Win2000, Postgres 8.03 w. postgis 0.9.1, TCP enabled, from localhost.

Thank you for your help

Uwe Seher

________________________________________
art & engineering
kauppert und mach ingenieurpartnerschaft
________________________________________
nebeniusstr. 34
d-76137 karlsruhe

fon +49 721 3548969-3
fax +49 721 3548969-5

email [hidden email], www.arteng.de



____________
Virus checked by G DATA AntiVirusKit

_______________________________________________
postgis-users mailing list
[hidden email]
http://postgis.refractions.net/mailman/listinfo/postgis-users
Reply | Threaded
Open this post in threaded view
|

Re: Update-Problem under Windows

Steffen Macke
Uwe,

the installer will just install the PostGIS version in parallel to
the old one (because of the switch from postgis.dll to lwpostgis.dll).

After running the installer you have to upgrade your database(s).

If you have only tested PostGIS so far, the easiest way to upgrade might be to
simply drop the database, create a fresh one, load PostGIS to it
 (by running lwpostgis.sql) and load your data again.

If you are running PostGIS in a production environment already, you
may want to use
the upgrading procedure described in the PostGIS documentation using
postgis_restore.pl
However, this will require PERL.

Regards,

Steffen
_______________________________________________
postgis-users mailing list
[hidden email]
http://postgis.refractions.net/mailman/listinfo/postgis-users
Reply | Threaded
Open this post in threaded view
|

AW: Update-Problem under Windows

Uwe Seher
Thank you!
This may bee the error. I've run postgis.sql all the time.

Uwe Seher

> -----Urspr√ľngliche Nachricht-----
> Von: [hidden email]
> [mailto:[hidden email]]Im Auftrag von
> Steffen Macke
> Gesendet: Dienstag, 14. Juni 2005 09:20
> An: PostGIS Users Discussion
> Betreff: Re: [postgis-users] Update-Problem under Windows
>
>
> Uwe,
>
> the installer will just install the PostGIS version in parallel to
> the old one (because of the switch from postgis.dll to lwpostgis.dll).
>
> After running the installer you have to upgrade your database(s).
>
> If you have only tested PostGIS so far, the easiest way to
> upgrade might be to
> simply drop the database, create a fresh one, load PostGIS to it
>  (by running lwpostgis.sql) and load your data again.
>
> If you are running PostGIS in a production environment already, you
> may want to use
> the upgrading procedure described in the PostGIS documentation using
> postgis_restore.pl
> However, this will require PERL.
>
> Regards,
>
> Steffen
> _______________________________________________
> postgis-users mailing list
> [hidden email]
> http://postgis.refractions.net/mailman/listinfo/postgis-users

____________
Virus checked by G DATA AntiVirusKit

_______________________________________________
postgis-users mailing list
[hidden email]
http://postgis.refractions.net/mailman/listinfo/postgis-users